This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 752929 - Repository Fields in Undefined State, Yields Possible NPE/Null NumberFormatException When Upload new Package
Repository Fields in Undefined State, Yields Possible NPE/Null NumberFormatEx...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 752928 753761 672240
Blocks: 752918 752919 752920 752921 752925 752926 jon30-sprint8 749804 752761
  Show dependency treegraph
 
Reported: 2011-11-10 14:25 EST by Robert Buck
Modified: 2011-11-14 07:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 752928
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Buck 2011-11-10 14:25:16 EST
+++ This bug was initially created as a clone of Bug #752928 +++

+++ This bug was initially created as a clone of Bug #672240 +++

MUST START WITH EMPTY BRAND NEW DATABASE

Content
New
Upload New Package

Notice the Currently Subscribed Repository is not just empty, but undefined!!!
See png image
Yeilds, "Failed to create package [helloworld.war] in repository. Cause:
java.lang.NumberFormatException:null ".
Now, this only occurs IFF you have a brand new clean database. This is likely a
data corruption or inconsistency problem; it tends to imply that later
invocations use prior state as the Repository, potentially moving WAR files
from their intended locations.

**********************************************
!!! SEE BUG 672240 ATTACHMENTS FOR DETAILS !!!
**********************************************

Note You need to log in before you can comment on or make changes to this bug.